| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
wxStockPreferencesPage Class Reference

`#include <wx/preferences.h>`

Inheritance diagram for wxStockPreferencesPage:
[legend]

## Detailed Description

Specialization of wxPreferencesPage useful for certain commonly used preferences page.

On OS X, preferences pages named "General" and "Advanced" are commonly used in apps and the OS provides stock icons for them that should be used. Instead of reimplementing this behavior yourself, you can inherit from wxStockPreferencesPage and get correct title and icon.

Notice that this class only implements GetName() and GetLargeIcon(), you still have to provide the rest of wxPreferencesPage implementation.

##

Library: wxCore

Since
  2.9.5

## Public Types

enum | Kind { Kind_General, Kind_Advanced }
| Kinds of stock pages. More...

## Public Member Functions

| wxStockPreferencesPage (Kind kind)
| Constructor.
Kind | GetKind () const
| Returns the page's kind.
virtual wxString | GetName () const
| Reimplemented to return suitable name for the page's kind.
virtual wxBitmap | GetLargeIcon () const
| Reimplemented to return stock icon on OS X.
Public Member Functions inherited from wxPreferencesPage
| wxPreferencesPage ()
| Constructor.
virtual | ~wxPreferencesPage ()
| Destructor.
virtual wxWindow * | CreateWindow (wxWindow *parent)=0
| Create a window for this page.

## Member Enumeration Documentation

enum wxStockPreferencesPage::Kind

Kinds of stock pages.

Enumerator:

  Kind_General | The "General" page.
  Kind_Advanced | The "Advanced" page.

## Constructor & Destructor Documentation

wxStockPreferencesPage::wxStockPreferencesPage | ( | Kind | kind | ) |

Constructor.

## Member Function Documentation

Kind wxStockPreferencesPage::GetKind | ( |  | ) | const

Returns the page's kind.

virtual wxBitmap wxStockPreferencesPage::GetLargeIcon | ( |  | ) | const

virtual

Reimplemented to return stock icon on OS X.

Implements wxPreferencesPage.

virtual wxString wxStockPreferencesPage::GetName | ( |  | ) | const

virtual

Reimplemented to return suitable name for the page's kind.

Implements wxPreferencesPage.